Convert a segwit address to legacy format
Converts an existing segwit address to the legacy format. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
POST
/
vault
/
accounts
/
{vaultAccountId}
/
{assetId}
/
addresses
/
{addressId}
/
create_legacy
TypeScript
const response: Promise<FireblocksResponse<CreateAddressResponse>> = fireblocks.vaults.createLegacyAddress(vaultsApiCreateLegacyAddressRequest);CompletableFuture<ApiResponse<CreateAddressResponse>> response = fireblocks.vaults().createLegacyAddress(vaultAccountId, assetId, addressId, idempotencyKey);response = fireblocks.vaults.create_legacy_address(vault_account_id, asset_id, address_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/{assetId}/addresses/{addressId}/create_legacyconst options = {method: 'POST'};
fetch('https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/{assetId}/addresses/{addressId}/create_legacy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"legacyAddress": "<string>",
"enterpriseAddress": "<string>",
"tag": "<string>",
"bip44AddressIndex": 123
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The ID of the vault account
The ID of the asset
The segwit address to translate
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<CreateAddressResponse>> = fireblocks.vaults.createLegacyAddress(vaultsApiCreateLegacyAddressRequest);CompletableFuture<ApiResponse<CreateAddressResponse>> response = fireblocks.vaults().createLegacyAddress(vaultAccountId, assetId, addressId, idempotencyKey);response = fireblocks.vaults.create_legacy_address(vault_account_id, asset_id, address_id, idempotency_key);